Search Unity

HDRP/VFX/Missing FPSSample tab

Discussion in 'FPS.Sample Game' started by olavodesenvolvedordejogo, Jun 22, 2019.

  1. olavodesenvolvedordejogo

    olavodesenvolvedordejogo

    Joined:
    Jun 22, 2019
    Posts:
    5
    i've been trying to import this project, tested on the version it said i needed to have installed, i was greeted by an HDRP error and the FPSSample tab was missing, i tried on many betas and full versions, only to be greeted by or HDRP/VFX, or no FPSSample tab, any fix, if there isn't any fixes then i have zero ideas to make it work
     
  2. AggressiveMastery

    AggressiveMastery

    Joined:
    Nov 19, 2018
    Posts:
    133
    There are a specific, outdated, versions of the editor and other items you need to get this perhaps abandoned project loaded.

    It only works with Unity 2018.3.f2.

    You need to download the FPS SAMPLE using the dedicated console application "GIT LFS" aka "GIT with Large File Support" - If you try to download the file from GIT.com or whatever it is (clone or download as zip - both wont work), you will not download the whole project, and so will have un-correctable errors like a missing fps window.

    MessyCoder put up a video on the install I believe: That may outline these specific needs


    The basics:
    1. Get the correct editor
    2. Use the Windows CMD or Stand Alone App "GIT" with the added mod "Large File Support"
    3. Follow the other install instructions (re-importing models, first person shaders, ect)

    Good luck!
    Micah
     
  3. olavodesenvolvedordejogo

    olavodesenvolvedordejogo

    Joined:
    Jun 22, 2019
    Posts:
    5
    yes, i saw his video before encountering the HDRP problem and i did clone it with LFS but the engine version isn't 2018.3.8f1, and yes 2018.3.0f2, am i understanding this right? Because there isn't a unity 2018.3.8f2, my only findings are 2018.3.0f2

    I did the re-importation, but i don't think 2018.3.8f1 is the actual version, or else everything would be working perfectly, and it's not, if it's actually version 2018.3.0f2, then the developers made a big oopsie, if it's not that, then the project is actually corrupted, because i've tried of everything to make it work, the scriptable build pipeline package has "invalid dependencies", i am really desperate and need a fix
     
    Last edited: Jun 23, 2019
  4. olavodesenvolvedordejogo

    olavodesenvolvedordejogo

    Joined:
    Jun 22, 2019
    Posts:
    5
    do you have an older version of the project? if so, could you upload it somewhere and send the link? I'd really appreciate it
     
    Last edited: Jun 23, 2019
  5. AggressiveMastery

    AggressiveMastery

    Joined:
    Nov 19, 2018
    Posts:
    133
    It should tell you what version of the project the project was made for, on import. Basically when you start a new project by pointing at the extracted FPS Sample , it would say "this project was created with Unity version XX, do you want to update it?" if you were opening it in a different version of unity then it was created in.

    If opened in the same version, that notification does not display.

    You may have to hunt down the specific unity version the error tells you, if its not Unity 2018.3.f2.

    However, I do have the FPS sample, current one on git hub, working in Unity 2018.3.f2. with no issue. So I believe it may be something else, like not getting the whole thing via git LFS.

    There have been a lot of posts about this, and I know i have the link for the old unity editor that is specifically needed in one of them...
     
  6. AggressiveMastery

    AggressiveMastery

    Joined:
    Nov 19, 2018
    Posts:
    133
    From an earlier post: https://forum.unity.com/threads/err...a-newer-version-of-unity.573550/#post-4270225


    "Well FPS Sample 2.0 required specifically Unity 2018.3.0 B12 https://unity3d.com/unity/beta/2018.3.0b12

    Yesterday (2/28/2019) FPS 3.0 was released on git-hub:

    https://github.com/Unity-Technologies/FPSSample
    But, they have not updated any of the documentation on the website to reflect it.

    The new 3.0 FPS sample requires Unity 2018.3.0f2

    (this is the release 2018 Unity ! so that should make it more stable, right?)

    Maybe update to FPS 3.0, unity 2018 prod, and see if it resolves and import your previous work. That's my plan, anyway...

    Wish it was 2019! but I can make due with broken terrains I suppose."
     
  7. olavodesenvolvedordejogo

    olavodesenvolvedordejogo

    Joined:
    Jun 22, 2019
    Posts:
    5
    the project contains a file in the ProjectSettings folder called ProjectVersion.txt
    in that file this appears
    m_EditorVersion: 2018.3.8f1
     
  8. olavodesenvolvedordejogo

    olavodesenvolvedordejogo

    Joined:
    Jun 22, 2019
    Posts:
    5
    a new FPS sample update released on the 14 of march and the required unity version is 2018.3.8f1
    that is why i ask of you to give me a copy of your project installation and see if i can make it work with me, because the issues i'm getting seem to be specific to the current build
     
  9. AggressiveMastery

    AggressiveMastery

    Joined:
    Nov 19, 2018
    Posts:
    133
    Sorry , It would just be chasing our tails uploading an old FPS Sample.

    You need to get the correct editor for the version you have, you can find old version ...

    You could try additional editor downloads from here, finding exactly 2018.3.8f1
    https://unity3d.com/get-unity/download/archive